package com.ssm.manage.service;

import com.ssm.core.service.BaseService;
import com.ssm.manage.entity.*;
import com.ssm.manage.query.MemberRequest;
import com.ssm.manage.response.MemberResponse;

import javax.servlet.http.HttpSession;
import java.io.IOException;
import java.util.List;

public interface SsmMemberLoginService extends BaseService<StoreMemberList> {
    MemberResponse phoneLogin(MemberRequest memberRequest) throws SmsException;
    MemberResponse phonePassLogin(MemberRequest memberRequest) throws SmsException;
    MemberResponse getSmsCode(MemberRequest memberRequest) throws SmsException, IOException;
    int changePassword(MemberRequest memberRequest) throws SmsException;
    void logout(MemberRequest memberRequest, HttpSession session);
    void uniLogout(MemberRequest memberRequest);
    MemberResponse uniPhoneLogin(MemberRequest memberRequest) throws SmsException;
    MemberResponse uniPhonePassLogin(MemberRequest memberRequest) throws SmsException;

    List<BaseStores> getMemberStore(MemberRequest memberRequest) throws SmsException;

    MemberResponse getStaffCode(MemberRequest memberRequest) throws SmsException, IOException;
}
